
Ruby - Bug #4519

rubygems/test_gem_package_task.rb breaks rake/test_filelist.rb

03/23/2011 05:53 PM - yhara (Yutaka HARA)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 1.9.3   

ruby -v: ruby 1.9.2p180 (2011-02-18 revision

30909) [i686-linux]

Backport:  

Description

=begin

test-all of Ruby 1.9.2 p180 fails as follows on CentOS 5.5.

test_array_comparisons(Rake::TestFileList) [/home/yhara/ruby-1.9.2-p180/test/rake/test_filelist.rb:462]:

<1> expected but was

.

This happens when test/rubygems/ is executed before test/rake/.

To reproduce this: (tested on Ubuntu 10.10 and Mac OS X 10.5.8)

(1) Edit test/runner.rb as follows

(2) make test-all

(...snip...)

Test::Unit.setup_argv {|files|

(...snip...)

end

["test/rubygems/test_gem_package_task.rb", "test/rake/test_filelist.rb"]

}

=end

History

#1 - 03/24/2011 04:35 AM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to drbrain (Eric Hodel)

=begin

=end

#2 - 06/26/2011 04:13 PM - nahi (Hiroshi Nakamura)

- Target version changed from 1.9.2 to 1.9.3

#3 - 07/09/2011 08:56 AM - drbrain (Eric Hodel)

- Status changed from Assigned to Closed

I cannot reproduce this, I think it has been fixed.

$ make test-all TESTS='rubygems rake -v'

./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  -- "./test/runner.rb" --ruby="./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb

--extout=.ext  --" rubygems rake -v

Run options: "--ruby=./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  --" -v

Running tests:
TestConfig#test_datadir = 0.00 s = .

TestGem#test_require_missing = 0.00 s = .

TestGem#test_self_activate_ambiguous_indirect_conflict = 0.03 s = .

…

Finished tests in 24.422676s, 51.7552 tests/s, 162.2263 assertions/s.

1264 tests, 3962 assertions, 0 failures, 0 errors, 0 skips

$
